<template>
  <NavHeader></NavHeader>
  <PageTitle>Join new game</PageTitle>
  <JoinGameBox v-for="game in games" :key="game.id" :game="game"></JoinGameBox>
</template>

<script>
import NavHeader from "./organisms/NavHeader.vue";
import PageTitle from "./atoms/PageTitle.vue";
import JoinGameBox from "./organisms/JoinGameBox.vue";
import axios from "axios";
import store from "../store/auth";

export default {
  components: { NavHeader, PageTitle, JoinGameBox },
  data() {
    return {
      games: [],
    };
  },
  async created() {
    store.commit("general/setLoading", true);
    //await this.getGames();
    await this.getGames();
    document.title = "Join game";
    store.commit("general/setLoading", false);
  },
  methods: {
    async getGames() {
      this.games = (await axios.get("/api/games/joinable")).data.data;
      return;
    },
    getFakeGame() {
      setTimeout(() => {
        this.games[0] = {
          id: 1,
          name: "fake",
          state: "Created",
          endDate: null,
          method_id: 1,
          created_at: null,
          updated_at: null,
          playerCount: 1,
        };
      }, 2000);
    },
  },
};
</script>

<style lang="scss"></style>
